Update organization guest documentation default
Sets the organization default for guest documentation publication. Hidden, AllPages, or SelectedPages. Projects inherit this value until they set an override. This does not grant project access or documentation-management permission.
PATCH
/organizations/{id}/guest-accessAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredRequest body
requiredapplication/jsonguestDocumentationVisibilitystringrequiredOrganization default for guest documentation publication. This does not grant project access.
Allowed:
HiddenAllPagesSelectedPagesResponses
200
successbooleanrequiredOperation success flag
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X PATCH "https://leadtime.app/api/public/organizations/string/guest-access" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"guestDocumentationVisibility": "Hidden"
}'const response = await fetch("https://leadtime.app/api/public/organizations/string/guest-access", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"guestDocumentationVisibility": "Hidden"
})
});import requests
response = requests.patch(
"https://leadtime.app/api/public/organizations/string/guest-access",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
json={
"guestDocumentationVisibility": "Hidden"
},
)Response
{
"success": true
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions